Name:           zsync-curl
Version:        0.6.2
Release:        3
Source:         zsync-curl_0.6.2-3.tar.gz
Url:            https://github.com/probonopd/zsync-curl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  libcurl-devel
BuildRequires:  zlib-devel
BuildRequires:  gcc
Summary:        Partial/differential file download client over HTTP(S).
License:        Artistic-2.0
Group:          Productivity/Networking/Other

%global debug_package %{nil}

%description
Downloads a file over HTTP(S).
zsync uses a control file to determine whether any blocks in the file are already known to the downloader, and only downloads the new blocks.
This fork uses libcurl in order to support HTTPS and is mirrored from Launchpad.
It has been further modified to respond more gracefully to redirects.

%prep
%setup -q -n zsync-curl

%build
cd src
export CFLAGS=--std=c99 # zsync_curl does not compile if the compiler is not explicitly told that this is c99 code
autoreconf -if
./configure --prefix=/usr
make

%install
cd src
make DESTDIR=${RPM_BUILD_ROOT} install
mv ${RPM_BUILD_ROOT}%{_bindir}/zsync_curl ${RPM_BUILD_ROOT}%{_bindir}/zsync-curl
mv ${RPM_BUILD_ROOT}%{_bindir}/zsyncmake_curl ${RPM_BUILD_ROOT}%{_bindir}/zsyncmake-curl
rm ${RPM_BUILD_ROOT}%{_mandir}/man1/zsync_curl.1

%clean

%files
%defattr(-,root,root)
%{_bindir}/zsync-curl
%{_bindir}/zsyncmake-curl
%{_datadir}/doc/zsync_curl/
%{_datadir}/doc/zsync_curl/COPYING
%{_datadir}/doc/zsync_curl/README

%changelog
* Thu Feb 24 2022 info@uib.de
- Rename binaries

* Mon Feb 21 2022 info@uib.de
- New upstream release
